{
  "ordermaterial": {
    "_parent": {
      "type": "info"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idOrder": {
        "type": "long"
      },
      "idMaterial": {
        "type": "long"
      },
      "mtName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "idActualMaterial": {
        "type": "long"
      },
      "actualMtName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "materialQty": {
        "type": "double"
      },
      "actualMaterialQty": {
        "type": "double"
      },
      "processedQty": {
        "type": "double"
      },
      "materialMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "materialState": {
        "type": "integer"
      },
      "materialFlag": {
        "type": "integer"
      },
      "idStockRoom": {
        "type": "long"
      },
      "stockRoomName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "preOutMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idCompany": {
        "type": "long"
      },
      "orderPreRequestFlag": {
        "type": "integer"
      },
      "orderStockInFlag": {
        "type": "integer"
      },
      "orderPickingFlag": {
        "type": "integer"
      },
      "orderStockOutFlag": {
        "type": "integer"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      }
    }
  }
}
